/** Distributes the tokens from the current player's position one at a time to each player in
* the game. Distribution begins with the next position and continues until all the tokens
* have been distributed. If there are still tokens to distribute when the player at the
* highest position is reached, the next token will be distributed to the player at position 0.
* Precondition: the current player has at least one token.
* Postcondition: the current player has not changed.
*/
public void distributeCurrentPlayerTokens()
{
 int tokens = board[currentPlayer];
 board[currentPlayer] = 0;
 
 for (int i = currentPlayer; i<board.length; i++)
 {
     if(board.length-1==i)
     {
      i=0;   
     }
     else
     {
      board[i+1]++;
      tokens--
     }
         
 }
}